Subject: Re: [PATCH v2 0/6] Partial clone part 1: object filtering

From: Junio C Hamano <[email-masked]>
Date: Sat, 04 Nov 2017 00:05:40 +0900

Jeff Hostetler <[email-masked]> writes:

> Yes, I thought we should have both (perhaps renamed or combined
> into 1 parameter with value, such as --exclude=missing vs --exclude=promisor)
> and let the user decide how strict they want to be.

Assuming we eventually get promisor support working, would there be
any use case where "any missing is OK" mode would be useful in a
sense more reasonable than "because we could have such a mode" and
"it is not our business to prevent users from playing with fire"?